Loading...
Searching...
No Matches
Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty Class Reference

`#include <ICompoundProperty.h>`

Inheritance diagram for Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty:
[legend]
Collaboration diagram for Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty:
[legend]

## Public Types

typedef ICompoundProperty | this_type

## Public Member Functions

| ICompoundProperty ()
| ICompoundProperty (const ICompoundProperty &iParent, const std::string &iName, const Argument &iArg0=Argument())
| ICompoundProperty (AbcA::CompoundPropertyReaderPtr iPtr, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (AbcA::CompoundPropertyReaderPtr iPtr, WrapExistingFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (const IObject &iObject, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (const IObject &iObject, TopFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ~ICompoundProperty ()
size_t | getNumProperties () const
| Returns the number of properties contained in this ICompoundProperty.
const AbcA::PropertyHeader & | getPropertyHeader (size_t i) const
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName) const
ICompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
IObject | getObject () const
AbcA::CompoundPropertyReaderPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Additional Inherited Members

Protected Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
typedef IBasePropertyT< AbcA::CompoundPropertyReaderPtr > | this_type
typedef IBasePropertyT< AbcA::CompoundPropertyReaderPtr > | operator_bool_base_type
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
| IBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base ()
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
AbcA::CompoundPropertyReaderPtr | m_property

## Detailed Description

Definition at line 51 of file ICompoundProperty.h.

## Member Typedef Documentation

## this_type

typedef ICompoundProperty Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty::this_type

By convention we always define this_type in Abc classes Used by unspecified-bool-type conversion below

Definition at line 57 of file ICompoundProperty.h.

## Constructor & Destructor Documentation

## ICompoundProperty() [1/6]

Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty::ICompoundProperty | ( |  | ) |

inline

The default constructor creates an empty ICompoundProperty function set. ...

Definition at line 65 of file ICompoundProperty.h.

References Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >::IBasePropertyT().

Referenced by Alembic::AbcCollection::ALEMBIC_VERSION_NS::ICollectionsSchema::ICollectionsSchema(), Alembic::AbcCollection::ALEMBIC_VERSION_NS::ICollectionsSchema::ICollectionsSchema(), ICompoundProperty(), Alembic::AbcMaterial::ALEMBIC_VERSION_NS::IMaterialSchema::IMaterialSchema(), Alembic::AbcMaterial::ALEMBIC_VERSION_NS::IMaterialSchema::IMaterialSchema(), Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< XformSchemaInfo >::ISchema(), Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< XformSchemaInfo >::ISchema(), Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< XformSchemaInfo >::ISchema(), and getParent().

Here is the call graph for this function:
Here is the caller graph for this function:

## ICompoundProperty() [2/6]

Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty::ICompoundProperty | ( | const ICompoundProperty & | iParent,
|  | const std::string & | iName,
|  | const Argument & | iArg0 = Argument() )

This constructor creates a new compound property reader. The first argument is the parent ICompundProperty, from which the error handler policy for inheritance is also derived. The remaining optional arguments can be used to override the ErrorHandlerPolicy, and that's it.

References ICompoundProperty().

Here is the call graph for this function:

## ICompoundProperty() [3/6]

Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty::ICompoundProperty | ( | AbcA::CompoundPropertyReaderPtr | iPtr,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument() )

This attaches an ICompoundProperty wrapper around an existing CompoundPropertyReaderPtr, with an optional error handling policy.

The extra argument is to support ISchema, which is publicly derived from ICompoundProperty (see ISchema.h).

## ICompoundProperty() [4/6]

Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty::ICompoundProperty | ( | AbcA::CompoundPropertyReaderPtr | iPtr,
|  | WrapExistingFlag | ,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument() )

## ICompoundProperty() [5/6]

Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty::ICompoundProperty | ( | const IObject & | iObject,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument() )

This attaches an ICompoundProperty wrapper around the top properties of any object, with an optional error handling policy.

The extra argument is to support ISchema, which is publicly derived from ICompoundProperty (see ISchema.h).

## ICompoundProperty() [6/6]

Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty::ICompoundProperty | ( | const IObject & | iObject,
|  | TopFlag | ,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument() )

## ~ICompoundProperty()

Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty::~ICompoundProperty | ( |  | ) |

Default copy constructor used Default assignment operator used.

Destructor ...

## Member Function Documentation

## getNumProperties()

size_t Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty::getNumProperties | ( |  | ) | const

Returns the number of properties contained in this ICompoundProperty.

## getParent()

ICompoundProperty Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty::getParent | ( |  | ) | const

There is no distinction between already added properties and created properties with an AbcA::CompoundPropertyReader, therefore we have no need to expose "getProperty". Simply use the appropriate IScalarProperty, ICompoundProperty, or IArrayProperty wrappers.

Return the parent compound property, handily wrapped in a ICompoundProperty wrapper.

References ICompoundProperty().

Referenced by Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< XformSchemaInfo >::ISchema().

Here is the call graph for this function:
Here is the caller graph for this function:

## getPropertyHeader() [1/2]

const AbcA::PropertyHeader * Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty::getPropertyHeader | ( | const std::string & | iName | ) | const

Return the header of a property name. This will return a NULL pointer if no header by that name is found.

## getPropertyHeader() [2/2]

const AbcA::PropertyHeader & Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty::getPropertyHeader | ( | size_t | i | ) | const

Return the header of a child property. Property is selected by index. This will throw an exception on out-of-range access.

Referenced by Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< INFO >::init().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/Abc/ICompoundProperty.h